cpw.mods.fml.common

## Interface ILanguageAdapter

- All Known Implementing Classes:
    ILanguageAdapter.JavaAdapter, ILanguageAdapter.ScalaAdapter

      public interface ILanguageAdapter

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ILanguageAdapter.JavaAdapter`
    `static class` | `ILanguageAdapter.ScalaAdapter`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getNewInstance(FMLModContainer container, java.lang.Class<?> objectClass, java.lang.ClassLoader classLoader, java.lang.reflect.Method factoryMarkedAnnotation)`
    `void` | `setInternalProxies(ModContainer mod, Side side, java.lang.ClassLoader loader)`
    `void` | `setProxy(java.lang.reflect.Field target, java.lang.Class<?> proxyTarget, java.lang.Object proxy)`
    `boolean` | `supportsStatics()`

- - ### Method Detail

    - #### getNewInstance

          java.lang.Object getNewInstance(FMLModContainer container,
                                        java.lang.Class<?> objectClass,
                                        java.lang.ClassLoader classLoader,
                                        java.lang.reflect.Method factoryMarkedAnnotation)
                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### supportsStatics

          boolean supportsStatics()

    - #### setProxy

          void setProxy(java.lang.reflect.Field target,
                      java.lang.Class<?> proxyTarget,
                      java.lang.Object proxy)
                        throws java.lang.IllegalArgumentException,
                               java.lang.IllegalAccessException,
                               java.lang.NoSuchFieldException,
                               java.lang.SecurityException

      Throws:
        `java.lang.IllegalArgumentException`
        `java.lang.IllegalAccessException`
        `java.lang.NoSuchFieldException`
        `java.lang.SecurityException`

    - #### setInternalProxies

          void setInternalProxies(ModContainer mod,
                                Side side,
                                java.lang.ClassLoader loader)